log_format upstream_logging '[$time_local] $remote_addr - $remote_user - $server_name to: $upstream_addr: $request upstream_response_time $upstream_response_time msec $msec request_time $request_time';

server {
    listen       80;
    server_name  localhost;

    location / {
        alias /etc/nginx/conf.d/html/;
        index  index.html index.htm;
    }

    location /i18n/ {
        proxy_pass https://live.european-language-grid.eu/i18n/;
    }

    location /execution/ {
        access_log /dev/stdout upstream_logging;
        proxy_pass http://restserver:8080/;
    }

    location /temp-storage/ {
        access_log /dev/stdout upstream_logging;
        proxy_pass http://tempstore:8081/;
    }

    location /elg-trial-gui/ {
        access_log /dev/stdout upstream_logging;
        proxy_pass http://gui:$GUI_PORT/;
    }

    # redirect server error pages to the static page /50x.html
    #
    error_page   500 502 503 504  /50x.html;
    location = /50x.html {
        root   /usr/share/nginx/html;
    }
}
